#!/bin/sh

#this script is to upload the firmware, web ui and bcl application
#to barionet.

OS_PLT=`uname | tr '[A-Z]' '[a-z]'| grep -o darwin`       # on MAC OS it is "darwin"

if [ "${OS_PLT}" = "" ]; then
    OS_PLT=`uname | tr '[A-Z]' '[a-z]'| grep -o linux`
fi

if [ "${OS_PLT}" = "" ]; then
	echo "Platform `uname` is not supported"
    exit -1
fi

if [ $# -le 0 ]
then
	echo "Usage: $0 IP_adderss "
	exit 1
fi
old_path=`pwd`
to_path=`dirname "$0"`
cd "${to_path}"
if  [ "${OS_PLT}" = "linux" ] ; then
	TFTP=atftp
else
	#mac
	TFTP=../tools/atftp-mac-emul
fi
echo "Uploading Barionet firmware..."
${TFTP} -l barionetweb.cob -r WEB1 -p $1
${TFTP} -l barionetbcl.cob -r WEB4 -p $1
${TFTP} -l xpt.rom -r X1 -p $1

cd "${old_path}"

